#pragma once
#include "MMPIcon.h"
#include <list>
using namespace std;

class CMiniMap  
{
public:
	CMMPIcon GetClosestIcon(int v_iX, int v_iY);
	void DelIcon(CMMPIcon mmpIcon);
	void ClearList();
	CMMPIcon GetNext();
	void GoFirstIcon();
	int GetIconsCount();
	void AddIcon(CMMPIcon mmpIcon);
	BYTE* m_baUnsupportedBuffer;
	CMiniMap();
	virtual ~CMiniMap();

protected:
	list<CMMPIcon>::iterator m_tposCurrent;
	list<CMMPIcon> m_tlistIconList; // list of icons
	int m_iMMPVersion; // MMP format version

};